# ESP32-PowerGuard - Digitalization in Energy Engineering

This repository contains the source code for our university group project focused on digitalizing energy engineering in the industrial sector. Our project aims to ensure save power distribution for retrofit mobile robots with capable mini PCs. This led to a little project using ESP32 and some relay boards.

### Key Features:

    ESP32-based power monitoring for voltage and consumption.
    Integration of 2 relay boards to prevent unforeseen voltage conditions.
    Data logging to InfluxDB for comprehensive analysis.
    Grafana dashboard for visualizing power conditions.
    Embedded webserver on ESP32 for real-time voltage and power readings and relay control.

### How to Use:
Hardware needed:
- ESP32 Devkit C (or derivative)
- Relay Module board with 2x Relays
- INA219 Power Monitoring Module
- Computer/Server for hosting the Database and Grafana.

The code was written using the PlatformIO plugin for Visual Studio Code. Your are advised to use the same setup.


### License:
MIT License

Explore the code, contribute, and provide feedback.
